Package com.collibra.dgc.importer.api.request

# Class FileSynchronizationRequest

Object
BaseImportRequest
FileSynchronizationRequest

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FullSynchronizationRequest`, `SynchronizationBatchCsvInJobRequest`, `SynchronizationBatchExcelInJobRequest`, `SynchronizationBatchJsonInJobRequest`

public class FileSynchronizationRequest extends BaseImportRequest
The properties for a synchronization from a file.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected @Pattern(regexp="ADD_OR_IGNORE|REPLACE") String`
  `attributesAction`
  Should all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet.
  `protected boolean`
  `continueOnError`
  Whether the import should continue if some of the import commands are invalid or failed to execute.
  `protected Boolean`
  `continueOnErrorRaw`
  Captures the raw `continueOnError` value provided by the REST API client, or `null` if the client did not set it.
  `protected boolean`
  `deleteFile`
  Whether the file should be deleted after the synchronization job is finished, regardless of the result.
  `protected File`
  `file`
  The file to upload.
  `protected UUID`
  `fileId`
  The `id` of uploaded file.
  `protected String`
  `fileName`
  The name of the file to upload.
  `protected @Pattern(regexp="ADD_OR_IGNORE|REPLACE") String`
  `relationsAction`
  Should all existing relations for the specified relation types be replaced or should the import only add new relations.
  `protected @Size(min=1,max=50) @NotNull String`
  `synchronizationId`
  The synchronization `id` used to distinguish different synchronizations.

  ### Fields inherited from class BaseImportRequest

  `batchSize, DEFAULT_BATCH_SIZE, requestSource, saveResult, sendNotification, simulation`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FileSynchronizationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getAttributesAction()`
  Should all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet.
  `Boolean`
  `getContinueOnErrorRaw()`
  Captures the raw `continueOnError` value provided by the REST API client, or `null` if the client did not set it.
  `File`
  `getFile()`
  The file to upload.
  `UUID`
  `getFileId()`
  The `id` of uploaded file.
  `String`
  `getFileName()`
  The name of the file to upload.
  `String`
  `getRelationsAction()`
  Should all existing relations for the specified relation types be replaced or should the import only add new relations.
  `String`
  `getSynchronizationId()`
  The synchronization `id` used to distinguish different synchronizations.
  `int`
  `hashCode()`
  `boolean`
  `isContinueOnError()`
  Whether the import should continue if some of the import commands are invalid or failed to execute.
  `boolean`
  `isDeleteFile()`
  Whether the file should be deleted after the synchronization job is finished, regardless of the result.
  `void`
  `setAttributesAction(String attributesAction)`
  Should all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet.
  `void`
  `setContinueOnError(boolean continueOnError)`
  Whether the import should continue if some of the import commands are invalid or failed to execute.
  `void`
  `setDeleteFile(boolean deleteFile)`
  Whether the file should be deleted after the synchronization job is finished, regardless of the result.
  `void`
  `setFile(File file)`
  The file to upload.
  `void`
  `setFileId(UUID fileId)`
  The `id` of uploaded file.
  `void`
  `setFileName(String fileName)`
  The name of the file to upload.
  `void`
  `setRelationsAction(String relationsAction)`
  Should all existing relations for the specified relation types be replaced or should the import only add new relations.
  `void`
  `setSynchronizationId(String synchronizationId)`
  The synchronization `id` used to distinguish different synchronizations.
  `String`
  `toString()`

  ### Methods inherited from class BaseImportRequest

  `getBatchSize, getRequestSource, isSaveResult, isSendNotification, isSimulation, setBatchSize, setRequestSource, setSaveResult, setSendNotification, setSimulation`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### synchronizationId

    @Size(min=1, max=50) @NotNull @PathParam("synchronizationId") protected @Size(min=1,max=50) @NotNull String synchronizationId
    The synchronization `id` used to distinguish different synchronizations.

  - ### fileId

    protected UUID fileId
    The `id` of uploaded file.

    NOTE: if this field is used, `file` should not be set.

  - ### file

    protected File file
    The file to upload. If set, then also `fileName` should be provided.

    NOTE: if this field is used, `fileId` should not be set.

  - ### fileName

    @DefaultValue("synchronization_file") protected String fileName
    The name of the file to upload. If set, then also `file` should be provided.

    NOTE: if this field is used, `fileId` should not be set.

  - ### deleteFile

    @DefaultValue("false") protected boolean deleteFile
    Whether the file should be deleted after the synchronization job is finished, regardless of the result. The default value is `false`.

    NOTE: if the file corresponds to an attachment, the attachment will be deleted. When import operation fails then file will not be deleted.

  - ### continueOnError

    @DefaultValue("false") protected boolean continueOnError
    Whether the import should continue if some of the import commands are invalid or failed to execute. The default value is `true`.

    If `true`, the valid commands are still committed to the database, which can lead to partial results being stored.

  - ### continueOnErrorRaw

    protected Boolean continueOnErrorRaw
    Captures the raw `continueOnError` value provided by the REST API client, or `null` if the client did not set it. Used for monitoring purposes only.

  - ### relationsAction

    @DefaultValue("REPLACE") @Pattern(regexp="ADD_OR_IGNORE|REPLACE") protected @Pattern(regexp="ADD_OR_IGNORE|REPLACE") String relationsAction
    Should all existing relations for the specified relation types be replaced or should the import only add new relations. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.

  - ### attributesAction

    @DefaultValue("REPLACE") @Pattern(regexp="ADD_OR_IGNORE|REPLACE") protected @Pattern(regexp="ADD_OR_IGNORE|REPLACE") String attributesAction
    Should all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.

- ## Constructor Details

  - ### FileSynchronizationRequest

    protected FileSynchronizationRequest()

- ## Method Details

  - ### getSynchronizationId

    public String getSynchronizationId()
    The synchronization `id` used to distinguish different synchronizations.

  - ### getFileId

    public UUID getFileId()
    The `id` of uploaded file.

    NOTE: if this field is used, `file` should not be set.

  - ### getFile

    public File getFile()
    The file to upload. If set, then also `fileName` should be provided.

    NOTE: if this field is used, `fileId` should not be set.

  - ### getFileName

    public String getFileName()
    The name of the file to upload. If set, then also `file` should be provided.

    NOTE: if this field is used, `fileId` should not be set.

  - ### isDeleteFile

    public boolean isDeleteFile()
    Whether the file should be deleted after the synchronization job is finished, regardless of the result. The default value is `false`.

    NOTE: if the file corresponds to an attachment, the attachment will be deleted. When import operation fails then file will not be deleted.

  - ### isContinueOnError

    public boolean isContinueOnError()
    Whether the import should continue if some of the import commands are invalid or failed to execute. The default value is `true`.

    If `true`, the valid commands are still committed to the database, which can lead to partial results being stored.

  - ### getContinueOnErrorRaw

    public Boolean getContinueOnErrorRaw()
    Captures the raw `continueOnError` value provided by the REST API client, or `null` if the client did not set it. Used for monitoring purposes only.

  - ### getRelationsAction

    public String getRelationsAction()
    Should all existing relations for the specified relation types be replaced or should the import only add new relations. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.

  - ### getAttributesAction

    public String getAttributesAction()
    Should all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.

  - ### setSynchronizationId

    public void setSynchronizationId(String synchronizationId)
    The synchronization `id` used to distinguish different synchronizations.

  - ### setFileId

    public void setFileId(UUID fileId)
    The `id` of uploaded file.

    NOTE: if this field is used, `file` should not be set.

  - ### setFile

    public void setFile(File file)
    The file to upload. If set, then also `fileName` should be provided.

    NOTE: if this field is used, `fileId` should not be set.

  - ### setFileName

    public void setFileName(String fileName)
    The name of the file to upload. If set, then also `file` should be provided.

    NOTE: if this field is used, `fileId` should not be set.

  - ### setDeleteFile

    public void setDeleteFile(boolean deleteFile)
    Whether the file should be deleted after the synchronization job is finished, regardless of the result. The default value is `false`.

    NOTE: if the file corresponds to an attachment, the attachment will be deleted. When import operation fails then file will not be deleted.

  - ### setContinueOnError

    public void setContinueOnError(boolean continueOnError)
    Whether the import should continue if some of the import commands are invalid or failed to execute. The default value is `true`.

    If `true`, the valid commands are still committed to the database, which can lead to partial results being stored.

  - ### setRelationsAction

    public void setRelationsAction(String relationsAction)
    Should all existing relations for the specified relation types be replaced or should the import only add new relations. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.

  - ### setAttributesAction

    public void setAttributesAction(String attributesAction)
    Should all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BaseImportRequest`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `BaseImportRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `BaseImportRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `BaseImportRequest`